/**
  * 房
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admestatelist: params => { // 楼盘列表接口
    return getRequest('/adm/estate/list', params)
  },
  admestateadd: params => { // 楼盘添加
    return getRequestNoSort('/adm/estate/add', params, 'loading')
  },
  admestateedit: params => { // 楼盘编辑
    return getRequestNoSort('/adm/estate/edit', params, 'loading')
  },
  admestatedetail: params => { // 楼盘详情
    return getRequestNoSort('/adm/estate/detail', params, 'loading')
  },
  admestatedel: params => { // 楼盘删除
    return getRequestNoSort('/adm/estate/del', params, 'loading')
  },
  admestatecontentedit: params => { // 楼盘介绍内容 编辑
    return getRequestNoSort('/adm/estate/content/edit', params, 'loading')
  },
  admestatecontentdetail: params => { //  楼盘介绍内容 详情
    return getRequestNoSort('/adm/estate/content/detail', params, 'loading')
  },
  admestateinfoedit: params => { // 楼盘一页纸 编辑
    return getRequestNoSort('/adm/estate/info/edit', params, 'loading')
  },
  admestateinfodetail: params => { //  楼盘一页纸 详情
    return getRequestNoSort('/adm/estate/info/detail', params, 'loading')
  },
  admestategovernlist: params => { // 楼盘 案场人员 列表接口
    return getRequest('/adm/estate/govern/list', params)
  },
  admestategovernadd: params => { // 楼盘 案场人员 添加
    return getRequestNoSort('/adm/estate/govern/add', params, 'loading')
  },
  admestategoverndel: params => { // 楼盘 案场人员 删除
    return getRequestNoSort('/adm/estate/govern/del', params, 'loading')
  },
}

